"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const config_1 = require("../actions/config");
const testFailures_1 = require("../actions/testFailures");
const initialState = {};
const testFailures = (state = initialState, action) => {
    switch (action.type) {
        case testFailures_1.ActionType.ADD_TEST_FAILURES: {
            return Object.assign(Object.assign({}, state), action.payload.testFailures);
        }
        case testFailures_1.ActionType.CLEAR_TEST_FAILURES_FOR_SUITE: {
            return lodash_1.omitBy(state, failure => (failure.suiteName === action.payload.suiteName));
        }
        case testFailures_1.ActionType.REMOVE_TEST_FAILURE: {
            return lodash_1.omitBy(state, failure => (failure.suiteName === action.payload.suiteName &&
                failure.testName === action.payload.testName));
        }
        case testFailures_1.ActionType.CLEAR_TEST_FAILURES: {
            return initialState;
        }
        case config_1.Action.SET_CONFIG: {
            return action.payload.error
                ? state
                : lodash_1.omitBy(state, failure => (!action.payload.suites[failure.suiteName]));
        }
        default: {
            return state;
        }
    }
};
exports.default = testFailures;
//# sourceMappingURL=testFailures.js.map