"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDelimiter = void 0;
const chalk_1 = __importDefault(require("chalk"));
const path_1 = __importDefault(require("path"));
const reselect_1 = require("reselect");
const getDelimiter = reselect_1.createSelector(state => state.config.currentSuite, state => state.config.currentEnvironment, state => state.testFailures, (currentSuite, currentEnvironment, testFailures) => {
    const environmentParts = [chalk_1.default.cyan(currentEnvironment)];
    const failureCount = Object.keys(testFailures).length;
    if (failureCount > 0) {
        environmentParts.push(chalk_1.default.red(chalk_1.default.bold(`×${failureCount}`)));
    }
    const environment = chalk_1.default.magenta(`nightwatch(${environmentParts.join('|')}):`);
    const location = chalk_1.default.yellow(`~${path_1.default.sep}${currentSuite || ''}`);
    return `${environment}${location} $ `;
});
exports.getDelimiter = getDelimiter;
//# sourceMappingURL=getDelimiter.js.map