"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withoutVorpal = void 0;
const withoutVorpal = (vorpal, fn) => {
    return Promise.resolve()
        .then(() => vorpal.hide())
        .then(() => fn())
        .then(result => {
        vorpal.show();
        return result;
    }, error => {
        vorpal.show();
        return Promise.reject(error);
    });
};
exports.withoutVorpal = withoutVorpal;
//# sourceMappingURL=withoutVorpal.js.map